% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/methods.R
\name{dimnames.shapviz}
\alias{dimnames.shapviz}
\title{Dimnames of "shapviz" Object}
\usage{
\method{dimnames}{shapviz}(x)
}
\arguments{
\item{x}{An object of class "shapviz".}
}
\value{
Dimnames of the SHAP matrix.
}
\description{
This implies to use \code{colnames(x)} to get the column names of the SHAP and feature
matrix (and optional SHAP interaction values).
}
\examples{
S <- matrix(c(1, -1, -1, 1), ncol = 2, dimnames = list(NULL, c("x", "y")))
X <- data.frame(x = c("a", "b"), y = c(100, 10))
x <- shapviz(S, X, baseline = 4)
dimnames(x)
colnames(x)
}
\seealso{
\code{\link[=shapviz]{shapviz()}}
}
